Cambrionix connect
Developers
Cloud API reference · v1.0

Downloads API

The downloads API provides access to Cambrionix firmware/software downloads and related information.

Base URL

https://connect.cambrionix.com/api

Token audience

b2d57903-6cc0-4099-aeaa-926d441a4132

OpenAPI document

https://connect.cambrionix.com/api/downloads/v1/openapi.json

Get an access token

Request a token for this API's audience with your service account's client credentials, then send it as Authorization: Bearer <token>.

curl -X POST "https://connect.cambrionix.com/api/v1/organizations/$CONNECT_ORGANIZATION_ID/oauth2/token" \
  -H "Content-Type: application/json" \
  -d '{"grant_type": "client_credentials", "client_id": "'"$CONNECT_CLIENT_ID"'", "client_secret": "'"$CONNECT_CLIENT_SECRET"'", "audience": "b2d57903-6cc0-4099-aeaa-926d441a4132", "scope": "*"}'

Endpoints

Software

Retrieve links to our software releases.

GET

Get Cambrionix CLI install script URL

GET

Download the latest version of the Cambrionix Hub Viewer

GET

Download the latest beta version of the Connect Setup

GET

Download the latest version of the Connect Setup